""" Authenticate Response Module """
from __future__ import absolute_import
from yk_utils.models import Model, deserialize_model


AuthenticateResponseSchema = \
    {
        "type": "object",
        "properties": {
            "success": {
                "type": "boolean",
                "description": "True when face authentication is successful",
            },
            "user_info": {
                "type": "object",
                "description": "JSON object with information of the authenticated user."
            }
        }
    }


class AuthenticateResponse(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    def __init__(self, success: bool = None, user_info: object = None):  # noqa: E501
        """AuthenticateResponse - a model defined in Swagger

        :param success: The success of this AuthenticateResponse.  # noqa: E501
        :type success: bool
        :param user_info: The user_info of this AuthenticateResponse.  # noqa: E501
        :type user_info: object
        """
        self.swagger_types = {
            'success': bool,
            'user_info': object
        }

        self.attribute_map = {
            'success': 'success',
            'user_info': 'user_info'
        }

        self._success = success
        self._user_info = user_info

    @classmethod
    def from_dict(cls, dikt) -> 'AuthenticateResponse':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The authenticate_response of this AuthenticateResponse.  # noqa: E501
        :rtype: AuthenticateResponse
        """
        return deserialize_model(dikt, cls)

    @property
    def success(self) -> bool:
        """Gets the success of this AuthenticateResponse.

        True when face authentication is successful  # noqa: E501

        :return: The success of this AuthenticateResponse.
        :rtype: bool
        """
        return self._success

    @success.setter
    def success(self, success: bool):
        """Sets the success of this AuthenticateResponse.

        True when face authentication is successful  # noqa: E501

        :param success: The success of this AuthenticateResponse.
        :type success: bool
        """

        self._success = success

    @property
    def user_info(self) -> object:
        """Gets the user_info of this AuthenticateResponse.

        JSON object with information of the authenticated user.  # noqa: E501

        :return: The user_info of this AuthenticateResponse.
        :rtype: object
        """
        return self._user_info

    @user_info.setter
    def user_info(self, user_info: object):
        """Sets the user_info of this AuthenticateResponse.

        JSON object with information of the authenticated user.  # noqa: E501

        :param user_info: The user_info of this AuthenticateResponse.
        :type user_info: object
        """

        self._user_info = user_info
