""" Camera Id Request Model """
from yk_utils.models import Model, deserialize_model

CAMERA_ID_SCHEMA_KEY = "camera_id"

CameraIdSchema = \
    {
        "type": "string",
        "description": "Camera ID specification, this must be coherent with the "
                       "cameras settings in the configuration file.",
    }

CameraIdRequestSchema = \
    {
        "type": "object",
        "properties": {
            CAMERA_ID_SCHEMA_KEY: CameraIdSchema
        }
    }


class CameraIdRequest(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    def __init__(self, camera_id: str=None):  # noqa: E501
        """CameraIdRequest - a model defined in Swagger

        :param camera_id: The camera_id of this CameraIdRequest.  # noqa: E501
        :type camera_id: str
        """
        self.swagger_types = {
            'camera_id': str
        }

        self.attribute_map = {
            'camera_id': 'camera_id'
        }

        self._camera_id = camera_id

    @classmethod
    def from_dict(cls, dikt) -> 'CameraIdRequest':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The camera_id_request of this CameraIdRequest.  # noqa: E501
        :rtype: CameraIdRequest
        """
        return deserialize_model(dikt, cls)

    @property
    def camera_id(self) -> str:
        """Gets the camera_id of this CameraIdRequest.

        Camera ID specification, this must be coherent with the cameras settings in the configuration file.  # noqa: E501

        :return: The camera_id of this CameraIdRequest.
        :rtype: str
        """
        return self._camera_id

    @camera_id.setter
    def camera_id(self, camera_id: str):
        """Sets the camera_id of this CameraIdRequest.

        Camera ID specification, this must be coherent with the cameras settings in the configuration file.  # noqa: E501

        :param camera_id: The camera_id of this CameraIdRequest.
        :type camera_id: str
        """

        self._camera_id = camera_id
